<?php

if( class_exists('Redux') ){
    global $epress_opt;
}else{
    $epress_opt = array();
    $epress_opt['copyright_text'] = esc_html__('Copyright By@Quomodothemes - 2020','epress');
    $epress_opt['footer_logo']['url'] = '';
    $epress_opt['visa_card'] = '';
    $epress_opt['stripe_card'] = '';
    $epress_opt['paypal_card'] = '';
    $epress_opt['mastercard_card'] = '';
    $epress_opt['jcb_card'] = '';
    $epress_opt['discover_card'] = '';
    $epress_opt['diners_club_card'] = '';
    $epress_opt['apple_pay_card'] = '';
    $epress_opt['amex_card'] = '';
    $epress_opt['amazon_pay_card'] = '';
    $epress_opt['footer_style'] = '';
}
$remove_widget = get_post_meta( get_the_ID(), '_epress_footer_widget', true );

$footer_style = '';
if(!empty($epress_opt['footer_style'])) {
    $footer_style = new WP_Query(array(
        'post_type' => 'elementor_library',
        'posts_per_page'=> -1,
        'p' => $epress_opt['footer_style'],
    ));
}
if( $remove_widget != 'on' ):
if($footer_style) {
    if ($footer_style->have_posts()) {
        while ($footer_style->have_posts()) : $footer_style->the_post();
            the_content();
        endwhile;
    }
}elseif( is_active_sidebar('sidebar-2') or !empty($epress_opt['copyright_text']) ){
?>
<footer class="footer-area">
   <?php
   if( is_active_sidebar('sidebar-2') ): ?>
    <div class="footer-top">
        <div class="container">
            <div class="row masonrys">
                <?php dynamic_sidebar( 'sidebar-2' ); ?>
            </div>
        </div>
    </div>
    <?php endif; ?>
    <?php if( !empty($epress_opt['copyright_text']) ): ?>
    <div class="footer-bottom">
        <div class="container">
            <div class="row">
                <div class="col-xs-12">
                    <div class="footer-bottom-wrap">
                        <?php if(!empty($epress_opt['footer_logo']['url'])): ?>
                        <div class="footer-logo">
                            <img src="<?php echo esc_url($epress_opt['footer_logo']['url']); ?>" alt="<?php esc_attr_e( 'Footer Logo','epress' ); ?>">
                        </div>
                        <?php endif; ?>
                        <?php if(!empty($epress_opt['copyright_text'])): ?>                       
                        <div class="copyright_text">
                            <?php echo wp_kses_post($epress_opt['copyright_text']); ?>
                        </div>
                        <?php endif; ?>
                        <?php if( !empty($epress_opt['visa_card']) or !empty($epress_opt['stripe_card']) or !empty($epress_opt['paypal_card']) or !empty($epress_opt['mastercard_card']) or !empty($epress_opt['jcb_card']) or !empty($epress_opt['discover_card']) or !empty($epress_opt['diners_club_card']) or !empty($epress_opt['apple_pay_card']) or !empty($epress_opt['amex_card']) or !empty($epress_opt['amazon_pay_card']) ): ?>
                        <div class="cradit-card">
                            <?php if(!empty($epress_opt['visa_card'])): ?>
                            <a href="<?php echo esc_url($epress_opt['visa_card']); ?>"><i class="fab fa-cc-visa"></i></a>
                            <?php endif; ?>
                            <?php if(!empty($epress_opt['stripe_card'])): ?>
                            <a href="<?php echo esc_url($epress_opt['stripe_card']); ?>"><i class="fab fa-cc-stripe"></i></a>
                            <?php endif; ?>
                            <?php if(!empty($epress_opt['paypal_card'])): ?>
                            <a href="<?php echo esc_url($epress_opt['paypal_card']); ?>"><i class="fab fa-cc-paypal"></i></a>
                            <?php endif; ?>
                            <?php if(!empty($epress_opt['mastercard_card'])): ?>
                            <a href="<?php echo esc_url($epress_opt['mastercard_card']); ?>"><i class="fab fa-cc-mastercard"></i></a>
                            <?php endif; ?>
                            <?php if(!empty($epress_opt['jcb_card'])): ?>
                            <a href="<?php echo esc_url($epress_opt['jcb_card']); ?>"><i class="fab fa-cc-jcb"></i></a>
                            <?php endif; ?>
                            <?php if(!empty($epress_opt['discover_card'])): ?>
                            <a href="<?php echo esc_url($epress_opt['discover_card']); ?>"><i class="fab fa-cc-discover"></i></a>
                            <?php endif; ?>
                            <?php if(!empty($epress_opt['diners_club_card'])): ?>
                            <a href="<?php echo esc_url($epress_opt['diners_club_card']); ?>"><i class="fab fa-cc-diners-club"></i></a>
                            <?php endif; ?>
                            <?php if(!empty($epress_opt['apple_pay_card'])): ?>
                            <a href="<?php echo esc_url($epress_opt['apple_pay_card']); ?>"><i class="fab fa-cc-apple-pay"></i></a>
                            <?php endif; ?>
                            <?php if(!empty($epress_opt['amex_card'])): ?>
                            <a href="<?php echo esc_url($epress_opt['amex_card']); ?>"><i class="fab fa-cc-amex"></i></a>
                            <?php endif; ?>
                            <?php if(!empty($epress_opt['amazon_pay_card'])): ?>
                            <a href="<?php echo esc_url($epress_opt['amazon_pay_card']); ?>"><i class="fab fa-cc-amazon-pay"></i></a>
                            <?php endif; ?>
                        </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>
</footer>
<?php } 
endif; ?>
<?php wp_footer(); ?>

<style>.hidden {display:none}</style>                        
<div class="hidden">Shared By <a href="https://www.questionai.com">QAI</a></div>
                        </body>

</html>